# H225_BandwidthConfirm Class Reference

`#include <h225.h>`

Inheritance diagram for H225_BandwidthConfirm:

List of all members.

## Public Types

enum | OptionalFields { e_nonStandardData, e_tokens, e_cryptoTokens, e_integrityCheckValue, e_capacity, e_genericData, e_transportQOS }

## Public Member Functions

| H225_BandwidthConfirm (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_RequestSeqNum | m_requestSeqNum
H225_BandWidth | m_bandWidth
H225_NonStandardParameter | m_nonStandardData
H225_ArrayOf_ClearToken | m_tokens
H225_ArrayOf_CryptoH323Token | m_cryptoTokens
H225_ICV | m_integrityCheckValue
H225_CallCapacity | m_capacity
H225_ArrayOf_GenericData | m_genericData
H225_TransportQOS | m_transportQOS

## Member Enumeration Documentation

enum H225_BandwidthConfirm::OptionalFields

Enumerator:

  e_nonStandardData |
  e_tokens |
  e_cryptoTokens |
  e_integrityCheckValue |
  e_capacity |
  e_genericData |
  e_transportQOS |

## Constructor & Destructor Documentation

H225_BandwidthConfirm::H225_BandwidthConfirm | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_BandwidthConfirm::GetDataLength | ( |  | ) | const

PBoolean H225_BandwidthConfirm::Decode | ( | PASN_Stream & | strm | ) |

void H225_BandwidthConfirm::Encode | ( | PASN_Stream & | strm | ) | const

void H225_BandwidthConfirm::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_BandwidthConfirm::Compare | ( | const PObject & | obj | ) | const

PObject* H225_BandwidthConfirm::Clone | ( |  | ) | const

## Member Data Documentation

H225_RequestSeqNum H225_BandwidthConfirm::m_requestSeqNum

H225_BandWidth H225_BandwidthConfirm::m_bandWidth

H225_NonStandardParameter H225_BandwidthConfirm::m_nonStandardData

H225_ArrayOf_ClearToken H225_BandwidthConfirm::m_tokens

H225_ArrayOf_CryptoH323Token H225_BandwidthConfirm::m_cryptoTokens

H225_ICV H225_BandwidthConfirm::m_integrityCheckValue

H225_CallCapacity H225_BandwidthConfirm::m_capacity

H225_ArrayOf_GenericData H225_BandwidthConfirm::m_genericData

H225_TransportQOS H225_BandwidthConfirm::m_transportQOS

The documentation for this class was generated from the following file:

- h225.h